@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Template:   cocoon-master
Version:    0.0.5
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/


/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1240px以下*/
@media screen and (max-width: 1240px){
  /*必要ならばここにコードを書く*/

}

/*1030px以下*/
@media screen and (max-width: 1030px){
  /*必要ならばここにコードを書く*/

}

/*768px以下*/
@media screen and (max-width: 768px){
  /*必要ならばここにコードを書く*/
.appreach__wrap  {
	background-image: url("https://arutora.com/wordpress/wp-content/uploads/2018/12/al_aynm.png");
	background-size: contain;
    background-position: 100% 0%;
    background-repeat: no-repeat;

}
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/

}


/************************************
** エントリーカードの設定
************************************/
/*
.a-wrap:hover {
  background-color: #fcc;
  transition: all 0.5s ease;
  color: #333;
}*/

/* fontをサイトネームに適用 */
.site-name-text {
/*font-family: neue-kabel, sans-serif;
font-weight: 400;
font-style: normal;*/

/*font-family: ethnocentric, sans-serif;
font-weight: 300;
font-style: normal;*/
font-family: "manifold-extd-cf", sans-serif;
font-weight: 500;
font-style: normal;
}

.header-container-in.hlt-top-menu .site-name-text {
    /*font-size: 28px;*/
    font-size: 22px;
    white-space: nowrap;
}



/* カウンターの初期化 */
.popular-entry-cards {
    counter-reset: wpp-ranking;
}
/* カウンターの値を表示 */
.popular-entry-cards a:before {
    content: counter(wpp-ranking, decimal);
    counter-increment: wpp-ranking;
}

.popular-entry-cards a{
    position: relative;
    list-style-type: none;
    padding-top: 5px;
    padding-left: 5px;
}
.popular-entry-cards a:before {
    content: counter(wpp-ranking, decimal);
    counter-increment: wpp-ranking;
    background: rgba(153, 51, 51, 0.9) !important;
    color: #fff;
    font-size: 14px;
    line-height: 1;
    padding: 4px 8px;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;
	border-radius: 2px !important;
}

.popular-entry-cards a.popular-entry-card-link:nth-child(1):before {
    background: rgba(255, 88, 196, 0.9) !important;
}
.popular-entry-cards a.popular-entry-card-link:nth-child(2):before {
    background: rgba(245, 171, 31, 0.9) !important;
}
.popular-entry-cards a.popular-entry-card-link:nth-child(3):before {
    background: rgba(255, 121, 37, 0.9) !important;
}



/************************************
** 装飾パーツ等個別追加
************************************/


/*引用元*/
p.qt {
margin-top: 5px !important;
text-align: right !important;
/*background-color: #000000 !important;*/
font-size: 0.8em;
}

/*h2装飾*/
.entry-content h2{
	border-left: 0px !important;
	position:relative;
	padding:10px;
	padding-bottom: .5em;
	background-color: transparent;
}

.entry-content h2::before,
.entry-content h2::after {
	position: absolute;
	bottom: -4px;
	left: 0;
	content: '';
	height: 4px;
}

.entry-content h2::before {
	z-index: 2;
	width: 15%;
	background-color: #cc3333;
}
.entry-content h2::after {
	width: 100%;
	background: -webkit-repeating-linear-gradient(45deg, #fff, #fff 2px, #aaa 2px, #aaa 4px);
	background: repeating-linear-gradient(45deg, #fff, #fff 2px, #aaa 2px, #aaa 4px);
}





/*h3装飾*/
.article h3 {

    border-left: 6px solid #cc3333;
    border-right: 1px solid #ccc;
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
    font-size: 22px;
    padding: 6px 20px;

}
/*h4装飾*/
.article h4 {

    border-top: 2px solid #ec7d7d;
    border-bottom: 2px solid #ec7d7d;

}


/*グレーボーダーボックス*/
div.borderbox_1 {

	margin: 25px 0px;
	padding: 5px;
	border:solid medium #d5d5d5;

}

div.borderbox_1 div.ht {
	
	border-bottom: 5px solid #cccccc;
	font-size: 20px;
	padding: 8px 0;
	margin-top: 35px;
	margin-bottom: 20px;
	line-height: 130%;
	color: #333;
	font-weight: bold;	
	
}

div.borderbox_1 div.left_mark {
    border-left: 5px solid #6db763;
    padding: 8px;
    margin-top: 35px;
    margin-bottom: 20px;
    line-height: 130%;
    /*color: #333;*/
}

div.left_mark {
    border-left: 5px solid #6db763;
    padding: 8px;
    margin-top: 35px;
    margin-bottom: 20px;
    line-height: 130%;
    color: #318c10;
    font-size: 20px;
    font-weight: bold;
}


/*メモバック*/
div.memobox_yellow {

  padding: 5px;
  background: #fff5e3;
  margin-top: 15px;
  margin-bottom: 15px;
}


/*prボックス*/

div.pr_box {
    border: 2px solid #6db763;
    padding: 8px;
    margin-top: 35px;
    margin-bottom: 20px;
    line-height: 130%;
    color: #318c10;
    font-size: 20px;
    font-weight: bold;
}











/*Simplicity2から引継ぎ*/










/* カテゴリー欄 
#sidebar aside ul li ul li { 
	background: none;
	padding-left: 0;
}
#sidebar aside li.cat-item a { 
	display: block;
	overflow: hidden;
	font-size: 15px; 
	line-height: 2.4em; 
	text-decoration: none;
	vertical-align: middle;
	padding: 0 8px; 
	color: #2098A8; 
	background: #fff; 
	margin-bottom: 1px; 
	border-bottom:1px dotted #406572 !important;
}
#sidebar aside li.cat-item a:hover {
	background: fff; 
	color: #C03; 
}
#sidebar aside li.cat-item span { 
	line-height: 1em;
	float: right; 
	margin: 8px 0 0 8px; 
	padding: 4px 8px; 
	border-radius: 4px; 
	color: #fff; 
	background: #66cc66;
	border-radius: 50px !important;
}
*/





/* 各種h調整 */
/************************************
** 見出し（H1-6）
************************************/

.article h1,
.article h2,
.article h3,
.article h4,
.article h5,
.article h6{
	word-break: break-all;
}

.article h1 {
	margin-top: 30px;
	margin-bottom: 20px;
	font-size: 27px;
	line-height: 117%;
}

/* サイトタイトル */
#site-title a {
    text-decoration: none;
    color: #222;
    font-size: 45px;
    font-weight: normal;
}















/* SSLシール */




.ssltxt{
padding:10px;
color: #555;
text-align:left;
font-size: 0.9em;
line-height: 1.3;
}

.sslcon{
margin: auto;
text-align:center;
}



.sslbox{
display: inline-block;
border-radius: 4px;
-moz-border-image: border-radius: 4px;
-webkit-border-image: border-radius: 4px;

border: 1px solid #d8d8d8;
width:334px;
background-color: #f5f5f5;
padding-top: 10px;

}






/* 画像の隙間対策 */
img {
    border-width: 0px;
    vertical-align: bottom;
}

/*table.imgt tr{width: 600px;}*/


table.imgt {
max-width: 600px;
background-color: #f5f5f5;
border-collapse:collapse;
font-size: 0.875em;
line-height: 1.6;
}


table.imgt th{padding:0px;}
table.imgt td{padding:0px; max-width: 300px;border:0px;}
table.imgt td.cap{padding:5px;width: 50%;}

table.shogen {
width: 600px;
background-color: #0066cc;
font-size: 0.875em;
line-height: 1.6;
}
/*border0で通常設定*/
.article td {
    border: 0px;
}




.tbl {
	width: 100% !important;
}

.tbl td
{
	border: solid 1px #ccc !important;
}

p.qt {
margin-top: 30px !important;
text-align: right !important;
/*background-color: #000000 !important;*/
}

	
p.lic {
margin-top: 50px !important;
text-align: right !important;
/*background-color: #000000 !important;*/
font-size: 0.6em !important;
}

div.example {
overflow: hidden;
width: auto;
margin: 20px;
background-color: #f5f5f5;
border: 1px dashed #c0c0c0;
padding: 10px 30px;}

div.example p {
font-size: 0.875em;
line-height: 1.6;
margin:10px 10px;
overflow:hidden;
background-color: #f5f5f5}

div.example_cli {
overflow:hidden;
width:auto;
margin:20px 40px;
background-color: #000000}

div.example_cli p {margin:5px 10px;
overflow:hidden;
background-color: #000000;
color: #ffffff}


div.ppp{
text-align:center;
width: 328px;
height:280px;
	background: #66484d;

}


/*技名小見出し装飾*/


.kmds {
	position: relative;
	padding:0.5em 0.5em 0.5em 1.8em;
	border: 1px solid #CCC;
	border-radius: 5px;
	color: #0000ff;
	margin-bottom: 10px;
  margin-top: 30px;
	}
 
.kmds::after {
	position: absolute;
	top: 50%;
	left:0.7em;
	transform:translateY(-50%);
	content: '';
	width: 8px;
	height:8px;
	border: solid 3px #446689;
	border-radius:100%;
}




.mini_title {
  position: relative;
  background: #d4f3ff;
  padding: 2px 5px 2px 25px;
  font-size: 20px;
  color: #414795;
  border-radius: 0 10px 10px 0;
  margin: 30px 0px;
  font-weight: bold;
}



.mini_title:before {
  /*font-family: "Font Awesome 5 Free";*/
  font-family: FontAwesome;
  content: "\f02b";
  display: inline-block;
  line-height: 40px;
  position: absolute;
  padding: 0em;
  color: white;
  background: #6e99ff;
  font-weight: 900;
  width: 40px;
  text-align: center;
  height: 40px;
  line-height: 40px;
  left: -1.35em;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  border: solid 3px white; 
  border-radius: 50%;
}







/* 広告表示制御 */
.responsive-unit{
  max-width: 336px;
  margin-left: auto;
  margin-right: auto;
}


/*h2装飾　関連ユニット*/
#text-46 h2{
	font-size: 24px !important;
	border-left: 0px !important;
	position:relative !important;
	padding:10px !important;
	padding-bottom: .5em !important;
	background-color: transparent !important;
	margin-bottom: 10px !important;
}

#text-46 h2::before,
#text-46 h2::after {
	position: absolute !important;
	bottom: -4px !important;
	left: 0 !important;
	content: '' !important;
	height: 4px !important;
}

#text-46 h2::before {
	z-index: 2 !important;
	width: 15% !important;
	background-color: #cc3333 !important;
}
 #text-46 h2::after {
	width: 100% !important;
	background: -webkit-repeating-linear-gradient(45deg, #fff, #fff 2px, #aaa 2px, #aaa 4px) !important;
	background: repeating-linear-gradient(45deg, #fff, #fff 2px, #aaa 2px, #aaa 4px) !important;
}






/**フロント固定ページH3装飾*/
.home.page .article h3 {

    border-left: 0px solid #777;
    border-right: 0px solid #ccc;
    border-top: 0px solid #ccc;
    border-bottom: 4px solid #cc3333;
    font-size: 22px;
    padding: 6px 20px;

}


/*フロント固定ページのタイトルを非表示*/
.home.page .entry-title{
  display: none;
}

/*フロント固定ページのシェアボタンを非表示
.home.page .sns-share{
  display: none;
}*/

/*フロント固定ページのフォローボタンを非表示*/
.home.page .sns-follow{
  display: none;
}

/*フロント固定ページの投稿日を非表示*/
.home.page .post-date{
  display: none;
}

/*フロント固定ページの更新日を非表示*/
.home.page .post-update{
  display: none;
}

/*フロント固定ページの投稿者名を非表示*/
.home.page .author-info{
  display: none;
}





.header-container-in.hlt-top-menu .logo-header .site-name {
    margin: 0 16px;
}

/*アプリ宣伝*/
.appcmbox{
	text-align: left;
	padding: 5px;
	border: 1px solid #7C7C7C;
	box-shadow: 0 0 8px gray;
}
.appcmtext{
	text-align: left;
	border-left: solid #192b5b 10px;
	padding-left: 10px;
}


/*アプリーチ設定*/
.appreach {
  text-align: left;
  padding: 10px;
  border: 1px solid #7C7C7C;
  overflow: hidden;
}
.appreach:after {
  content: "";
  display: block;
  clear: both;
}
.appreach p {
  margin: 0;
}
.appreach a:after {
  display: none;
}
.appreach__icon {
  float: left;
  border-radius: 10%;
  overflow: hidden;
  margin: 0 3% 0 0 !important;
  width: 25% !important;
  height: auto !important;
  max-width: 120px !important;
}
.appreach__detail {
  display: inline-block;
  font-size: 20px;
  line-height: 1.5;
  width: 72%;
  max-width: 72%;
}
.appreach__detail:after {
  content: "";
  display: block;
  clear: both;
}
.appreach__name {
  font-size: 17px;
  line-height: 1.5em !important;
  max-height: 3em;
  overflow: hidden;
  font-weight: bold;
}
.appreach__info {
  font-size: 12px !important;
}
.appreach__developper, .appreach__price {
  margin-right: 0.5em;
}
.appreach__posted a {
  margin-left: 0.5em;
}
.appreach__links {
  float: left;
  height: 40px;
  margin-top: 8px;
  white-space: nowrap;
}
.appreach__aslink img {
  margin-right: 10px;
  height: 40px;
  width: 135px;
}
.appreach__gplink img {
  height: 40px;
  width: 134.5px;
}

.appreach__wrap  {
	background-image: url("https://arutora.com/wordpress/wp-content/uploads/2018/12/al_aynm.png");
    background-position: 100% 0%;
    background-repeat: no-repeat;

}

.appreach__wrap__back  {
-webkit-background-size: 50px 50px;
-moz-background-size: 50px 50px;
background-size: 50px 50px;
background-color: #ffffff;
background-image: -webkit-gradient(linear, 0 0, 100% 100%,
            color-stop(.25, #99ccff), color-stop(.25, transparent),
            color-stop(.5, transparent), color-stop(.5, #99ccff),
            color-stop(.75, #99ccff), color-stop(.75, transparent),
            to(transparent));
background-image: -webkit-linear-gradient(-45deg, #99ccff 25%, transparent 25%,
          transparent 50%, #99ccff 50%, #99ccff 75%,
          transparent 75%, transparent);
background-image: -moz-linear-gradient(-45deg, #99ccff 25%, transparent 25%,
          transparent 50%, #99ccff 50%, #99ccff 75%,
          transparent 75%, transparent);
background-image: -ms-linear-gradient(-45deg, #99ccff 25%, transparent 25%,
          transparent 50%, #99ccff 50%, #99ccff 75%,
          transparent 75%, transparent);
background-image: -o-linear-gradient(-45deg, #99ccff 25%, transparent 25%,
          transparent 50%, #99ccff 50%, #99ccff 75%,
          transparent 75%, transparent);
background-image: linear-gradient(-45deg, #99ccff 25%, transparent 25%,
          transparent 50%, #99ccff 50%, #99ccff 75%,
          transparent 75%, transparent);
box-shadow: 3px 3px 6px -2px #555,3px 3px 8px rgba(255,255,255,0.8) inset;
}





/************************************
** カルーセル　設定追加
************************************/
.carousel {
  margin-top: 10px;
  line-height: 1.1;
}
.carousel .slick-arrow:before {
  color: #ccc;
}
/*カルーセル背景透明*/
.carousel-in {
  background-color: inherit;
  padding: 2px 0;
}

.carousel-content {
  margin: 0 30px;
  padding-bottom: 4px;
}
.carousel-content a {
  float: left;
  width: 10%;
}

.carousel-entry-card-wrap.a-wrap {
  padding: 2px 3px;
  margin: 0;

}



.carousel-entry-card-thumb {
  float: none;
  overflow: hidden;
  display: inline-block;
}


.carousel-entry-card-title {
    font-size: 16px;
    margin-top: 4px;
    max-height: 6.2em;
    height: auto;
    overflow: hidden;
    max-width: 320px;
    color: #fff;
    text-align: left;
    margin: auto;
    position: absolute;
    top: auto;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: 2;
    padding: 8px 5px;
    background: rgba(0, 0, 0, .6);
    font-size: 14px;
    box-sizing: border-box;
}




.carousel-entry-card {
  font-size: 16px;
  text-align: center;
  position: relative;
  max-height: 180px;
}


.carousel-entry-card-content
{
  font-size: 16px;
  
}

.carousel-entry-card-thumb {


margin-top: 0px;
vertical-align: bottom;
-webkit-box-shadow: 0 0 5px 0 #000;
-moz-box-shadow: 0 0 5px 0 #000;
box-shadow: 0 0 5px 0 #000; 
}

/*dot落ち修正*/
.slick-dots {

    position: absolute;
    bottom: inherit;
    list-style: none;
    display: block;
    text-align: center;
    padding: 0;
    margin: 0;
    width: 100%;

}

.carousel {
	margin-top: 0;
    padding-top: 30px;
    line-height: 1.1;
    padding-bottom: 30px;
    background-image: url("https://arutora.com/wordpress/wp-content/uploads/2018/11/arutora-top.jpg");
    background-size: cover;
    background-repeat: no-repeat;

}


/*90px落ちるやつ対策*/
.carousel-entry-card.e-card.cf {

    /*position: inherit;*/

}
.carousel-entry-card-wrap.a-wrap::before {

    padding-top: inherit;

}



/************************************
** カルーセルの非表示設定
************************************/
.no-carousel .carousel {
  display: none;
}

.admin-panel {
  background-color: #333;
  color: #fff;
  opacity: 0.8;
  padding: 10px;
  font-size: 16px;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  transition: .3s;
  z-index: 9999;
}
.admin-panel a {
  color: #fff;
}

.admin-pv,
.admin-edit,
.admin-amp,
.admin-checks,
.admin-cresponsive {
  border-radius: 3px;
  padding: 0 10px;
  border: 1px solid #ccc;
  margin: 6px 4px;
}
.admin-pv > span,
.admin-edit > span,
.admin-amp > span,
.admin-checks > span,
.admin-cresponsive > span {
  padding: 0 4px;
}

.admin-amp a,
.admin-checks a,
.admin-cresponsive a {
  margin: 0 4px;
  font-size: 0.8em;
}

.admin-pv {
  position: relative;
}
.admin-pv .admin-pv-by {
  position: absolute;
  bottom: -1em;
  right: 0.4em;
  font-size: 0.6em;
  background-color: #333;
  padding: 0 5px;
}

.apdt-pc-only {
  display: flex;
}

.apdt-mobile-only {
  display: none;
}

/* Slider */
.slick-slider {
  position: relative;
  display: block;
  box-sizing: border-box;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -ms-touch-action: pan-y;
  touch-action: pan-y;
  -webkit-tap-highlight-color: transparent;
}

.slick-list {
  position: relative;
  overflow: hidden;
  display: block;
  margin: 0;
  padding: 0;
}
.slick-list:focus {
  outline: none;
}
.slick-list.dragging {
  cursor: pointer;
}

.slick-slider .slick-track,
.slick-slider .slick-list {
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  -ms-transform: translate3d(0, 0, 0);
  -o-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.slick-track {
  position: relative;
  left: 0;
  top: 0;
  display: block;
  margin-left: auto;
  margin-right: auto;
}
.slick-track:before, .slick-track:after {
  content: "";
  display: table;
}
.slick-track:after {
  clear: both;
}
.slick-loading .slick-track {
  visibility: hidden;
}

.slick-slide {
  float: left;
  height: 100%;
  min-height: 1px;
  display: none;
}
[dir="rtl"] .slick-slide {
  float: right;
}
.slick-slide img {
  display: block;
}
.slick-slide.slick-loading img {
  display: none;
}
.slick-slide.dragging img {
  pointer-events: none;
}
.slick-initialized .slick-slide {
  display: block;
}
.slick-loading .slick-slide {
  visibility: hidden;
}
.slick-vertical .slick-slide {
  display: block;
  height: auto;
  border: 1px solid transparent;
}

.slick-arrow.slick-hidden {
  display: none;
}

.carousel .slick-dotted.slick-slider {
  margin-bottom: 0;
}




.centering_adstir {
    width: 300px;
	margin: 0 auto;
}




/*animate*/
.animateContainer {
    width: 100%;
	padding-bottom: 56.25%;
    margin: 5px 0;
    position: relative;
}

.animateContainer iframe {
    margin: 0;
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    /*height: 100%;*/
	overflow: hidden;
}



/************************************
** 追加目次用スタイル
************************************/
.toc{
   margin:auto;
}
.toc-title::after {
   content: '[close]';
   margin-left: .5em;
   cursor: pointer;
   font-size: .8em;
}
.toc-title.active::after {
   content: '[open]';
}
/*
.article ol{
   padding-left:15px;
}
*/